/unipile-accounts | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
unipile_accounts_create_account | Connect an account (native authentication) |
unipile_accounts_create_webhook | Create a webhook |
unipile_accounts_delete_account | Delete an account |
unipile_accounts_delete_webhook | Delete a webhook |
unipile_accounts_get_account_by_id | Retrieve an account |
unipile_accounts_list_accounts | List all accounts |
unipile_accounts_list_webhooks | List all webhooks |
unipile_accounts_patch_account | Update account proxy |
unipile_accounts_reconnect_account | Reconnect an account |
unipile_accounts_request_link | Connect an account (hosted authentication) |
unipile_accounts_resend_checkpoint | Resend checkpoint notification |
unipile_accounts_restart_account | Restart an account |
unipile_accounts_resync_account | Resynchronize account messaging data |
unipile_accounts_solve_account_checkpoint | Solve a code checkpoint |
unipile_accounts_create_account
Connect an account (native authentication) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object | Yes | — | The parameters required to perform the authentication depend on the type of account you are trying to connect. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"description": "The parameters required to perform the authentication depend on the type of account you are trying to connect."
}
},
"required": [
"PCID",
"body"
]
}
unipile_accounts_create_webhook
Create a webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
unipile_accounts_delete_account
Delete an account Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The id account to be deleted. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The id account to be deleted."
}
},
"required": [
"PCID",
"id"
]
}
unipile_accounts_delete_webhook
Delete a webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The id of the webhook to be deleted. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The id of the webhook to be deleted."
}
},
"required": [
"PCID",
"id"
]
}
unipile_accounts_get_account_by_id
Retrieve an account Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The id of the account to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The id of the account to retrieve."
}
},
"required": [
"PCID",
"id"
]
}
unipile_accounts_list_accounts
List all accounts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved. |
limit | integer | No | — | A limit for the number of items returned in the response. The value can be set between 1 and 250. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cursor": {
"type": "string",
"description": "A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved."
},
"limit": {
"type": "integer",
"description": "A limit for the number of items returned in the response. The value can be set between 1 and 250."
}
},
"required": [
"PCID"
]
}
unipile_accounts_list_webhooks
List all webhooks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved. |
limit | integer | No | — | A limit for the number of items returned in the response. The value can be set between 1 and 250. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cursor": {
"type": "string",
"description": "A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved."
},
"limit": {
"type": "integer",
"description": "A limit for the number of items returned in the response. The value can be set between 1 and 250."
}
},
"required": [
"PCID"
]
}
unipile_accounts_patch_account
Update account proxy Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The id of the account to update. |
country | string | No | — | An ISO 3166-1 A-2 country code to request a new Unipile proxy location. |
ip | object | No | — | An IPv4 address used to infer proxy country when requesting a Unipile proxy. |
proxy | object | No | — | The proxy value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The id of the account to update."
},
"country": {
"type": "string",
"description": "An ISO 3166-1 A-2 country code to request a new Unipile proxy location."
},
"ip": {
"description": "An IPv4 address used to infer proxy country when requesting a Unipile proxy."
},
"proxy": {
"type": "object",
"description": "The proxy value",
"properties": {
"protocol": {
"type": "string",
"description": "The protocol value",
"enum": [
"https",
"http",
"socks5"
]
},
"port": {
"type": "number",
"description": "The port value"
},
"host": {
"type": "string",
"description": "The host value"
},
"username": {
"type": "string",
"description": "Optional username for proxy's authentication."
},
"password": {
"type": "string",
"description": "Optional password for proxy's authentication."
}
},
"required": [
"port",
"host"
]
}
},
"required": [
"PCID",
"id"
]
}
unipile_accounts_reconnect_account
Reconnect an account Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The id of the account to reconnect. |
body | object | Yes | — | The parameters required to perform the authentication depend on the type of account you are trying to connect. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The id of the account to reconnect."
},
"body": {
"description": "The parameters required to perform the authentication depend on the type of account you are trying to connect."
}
},
"required": [
"PCID",
"id",
"body"
]
}
unipile_accounts_request_link
Connect an account (hosted authentication) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
unipile_accounts_resend_checkpoint
Resend checkpoint notification Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | Yes | — | A unique identifier. |
provider | string | Yes | — | The provider value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"account_id": {
"type": "string",
"description": "A unique identifier."
},
"provider": {
"type": "string",
"description": "The provider value",
"enum": [
"LINKEDIN",
"INSTAGRAM",
"MESSENGER"
]
}
},
"required": [
"PCID",
"account_id",
"provider"
]
}
unipile_accounts_restart_account
Restart an account Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The id of the account to restart. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The id of the account to restart."
}
},
"required": [
"PCID",
"id"
]
}
unipile_accounts_resync_account
Resynchronize account messaging data Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
chunk_size | number | No | — | The number of chats to be synchronized in a single chunk. Supported for LinkedIn and Telegram. |
partial | boolean | No | — | LinkedIn only. Whether the account should be partially resynchronized (keeping already synced data) or fully resynchronized. |
linkedin_product | string | No | — | LinkedIn only. The LinkedIn messaging feature to synchronize. Leave blank to process all connected features. |
before | number | No | — | The end of the time span (lowest Epoch time in ms). Supported for LinkedIn and Telegram. |
after | number | No | — | The start of the time span (highest Epoch time in ms). Supported for LinkedIn and Telegram. |
account_id | string | Yes | — | The id of the account to resynchronize. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"chunk_size": {
"type": "number",
"description": "The number of chats to be synchronized in a single chunk. Supported for LinkedIn and Telegram."
},
"partial": {
"type": "boolean",
"description": "LinkedIn only. Whether the account should be partially resynchronized (keeping already synced data) or fully resynchronized."
},
"linkedin_product": {
"type": "string",
"description": "LinkedIn only. The LinkedIn messaging feature to synchronize. Leave blank to process all connected features.",
"enum": [
"classic",
"recruiter",
"sales_navigator"
]
},
"before": {
"type": "number",
"description": "The end of the time span (lowest Epoch time in ms). Supported for LinkedIn and Telegram."
},
"after": {
"type": "number",
"description": "The start of the time span (highest Epoch time in ms). Supported for LinkedIn and Telegram."
},
"account_id": {
"type": "string",
"description": "The id of the account to resynchronize."
}
},
"required": [
"PCID",
"account_id"
]
}
unipile_accounts_solve_account_checkpoint
Solve a code checkpoint Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | Yes | — | A unique identifier. |
code | string | Yes | — | The code to solve the checkpoint. If the code is a phone number, it should be preceded by the international dialling code in brackets (e.g. (+33)0612345678 for France). If you need to switch to a different type of checkpoint, enter TRY_ANOTHER_WAY here (e.g. from In app validation to 2FA). |
provider | string | Yes | — | The provider value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"account_id": {
"type": "string",
"description": "A unique identifier."
},
"code": {
"type": "string",
"description": "The code to solve the checkpoint. If the code is a phone number, it should be preceded by the international dialling code in brackets (e.g. (+33)0612345678 for France). If you need to switch to a different type of checkpoint, enter TRY_ANOTHER_WAY here (e.g. from In app validation to 2FA)."
},
"provider": {
"type": "string",
"description": "The provider value",
"enum": [
"LINKEDIN",
"INSTAGRAM",
"TWITTER",
"MESSENGER"
]
}
},
"required": [
"PCID",
"account_id",
"code",
"provider"
]
}

